CREATE TABLE hey_common_staging_header (
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    STAGE_CODE                      VARCHAR2(120) ,
    LOADER_ID                       NUMBER(18, 0) ,
    FILE_NAME                       VARCHAR2(1000),
    INITIAL_LOAD_DATETIME           TIMESTAMP(6)  ,
    LOAD_STATUS_CODE                VARCHAR2(120) ,
    NUMBER_ROWS                     NUMBER(9, 0)      NOT NULL,
    NUMBER_UNPROCESSED_ROWS         NUMBER(9, 0)      NOT NULL,
    NUMBER_VALIDATION_ERROR_ROWS    NUMBER(9, 0)      NOT NULL,
    NUMBER_DUPLICATE_ERROR_ROWS     NUMBER(9, 0)      NOT NULL,
    NUMBER_PROMOTION_ERROR_ROWS     NUMBER(9, 0)      NOT NULL,
    NUMBER_BAD_RECORD_ROWS          NUMBER(9, 0)      NOT NULL,
    NUMBER_VALIDATED_ROWS           NUMBER(9, 0)      NOT NULL,
    NUMBER_PROMOTED_ROWS            NUMBER(9, 0)      NOT NULL,
    NUMBER_CANCELLED_ROWS           NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    LOAD_AFTER_VALIDATE_FLAG        VARCHAR2(4)   ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    LOADER_ID                       NUMBER(18, 0) ,
    FILE_NAME                       VARCHAR2(1000),
    INITIAL_LOAD_DATETIME           TIMESTAMP(6)  ,
    LOAD_STATUS_CODE                VARCHAR2(120) ,
    NUMBER_ROWS                     NUMBER(9, 0)      NOT NULL,
    NUMBER_UNPROCESSED_ROWS         NUMBER(9, 0)      NOT NULL,
    NUMBER_VALIDATION_ERROR_ROWS    NUMBER(9, 0)      NOT NULL,
    NUMBER_DUPLICATE_ERROR_ROWS     NUMBER(9, 0)      NOT NULL,
    NUMBER_VALIDATED_ROWS           NUMBER(9, 0)      NOT NULL,
    NUMBER_PROMOTED_ROWS            NUMBER(9, 0)      NOT NULL,
    NUMBER_CANCELLED_ROWS           NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    NUMBER_PROMOTION_ERROR_ROWS     NUMBER(9, 0)      NOT NULL,
    NUMBER_BAD_RECORD_ROWS          NUMBER(9, 0)      NOT NULL,
    STAGE_CODE                      VARCHAR2(120) ,
    LOAD_AFTER_VALIDATE_FLAG        VARCHAR2(4)   ,
    CONSTRAINT pk_hey_common_staging_header PRIMARY KEY (LOAD_REQUEST_ID, LOAD_REQUEST_ID)
);
